ENTRY (loader)

SECTIONS
{
        . = 0x100000;
        
        .text ALIGN(0x1000) :
        {
                *(.text*)
                *(.gnu.linkonce.t*)
        }
        
        .rodata ALIGN(0x1000) :
        {
                startConstructors = .;
                *(.ctor*)
                endConstructors = .;
        
                startDestructors = .;
                *(.dtor*)
                endDestructors = .;
        
                *(.rodata*)
                *(.gnu.linkonce.r*)
        }
        
        .data ALIGN(0x1000) :
        {
                *(.data)
                *(.gnu.linkonce.d*)
        }
        
        .bss ALIGN(0x1000) :
        {
        		sbss = .;
                *(COMMON)
                *(.bss*)
                *(.gnu.linkonce.b*)
                ebss = .;
        }
        
        endkernel = .;
}