#ifndef _BIOS_VIDEO_
#define _BIOS_VIDEO_


/**
 * Basic constants
 */
static const int CONSOLE_WIDTH = 160;
static const int CONSOLE_HEIGHT = 25;

/**
 * BIOS video class header
 */
class Video {
private:
        unsigned char *videoMemory;
        int cursorOffset;
        int printColor;

public:
        Video();
        void clear();
        void move(int offset);
        void setPosition(int x, int y);
        void setColor(int color);
        int getOffset();

        void print(const char *text);
        void printChar(char c);
};

#endif
