#ifndef _SYSTEM_
#define _SYSTEM_

struct regs {
	unsigned int gs, fs, es, ds;
	unsigned int edi, esi, ebp, esp, ebx, edx, ecx, eax;
	unsigned int int_no, err_code;
	unsigned int eip, cs, eflags, useresp, ss;
};

inline unsigned char *memcpy(unsigned char *dest, const unsigned char *src, int count);
inline unsigned char *memset(unsigned char *dest, unsigned char value, int count);
inline unsigned short *memsetw(unsigned short *dest, unsigned short value, int count);

unsigned char inportByte(unsigned short _port);
void outportByte(unsigned short _port, unsigned char _data);

int stringLength(const char* str);

#endif
